Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding.ser.castor
Class CastorDeserializerFactory

    java.lang.Object
      org.apache.axis.encoding.ser.BaseFactory
          org.apache.axis.encoding.ser.BaseDeserializerFactory
              org.apache.axis.encoding.ser.castor.CastorDeserializerFactory

All Implemented Interfaces:
  DeserializerFactory, DeserializerFactory, java.io.Serializable

public class CastorDeserializerFactory
extends BaseDeserializerFactory

A CastorDeserializer Factory

Author:
  Olivier Brand (olivier.brand@vodafone.com)
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.encoding.ser.BaseDeserializerFactory
`deserClass, deserClassConstructor, getDeserializer, javaType, log, xmlType`

Constructor Summary
`CastorDeserializerFactory(java.lang.Class javaType, QName xmlType)`

Method Summary
`static DeserializerFactory` | `create(java.lang.Class javaType, QName xmlType)`

Methods inherited from class org.apache.axis.encoding.ser.BaseDeserializerFactory
`createFactory, getDeserClassConstructor, getDeserializerAs, getGeneralPurpose, getGetDeserializer, getSpecialized, getSupportedMechanismTypes`

Methods inherited from class org.apache.axis.encoding.ser.BaseFactory
`getMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CastorDeserializerFactory

    public CastorDeserializerFactory(java.lang.Class javaType,
                                     QName xmlType)

Method Detail

### create

    public static DeserializerFactory create(java.lang.Class javaType,
                                             QName xmlType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.